﻿local ADDONNAME= ...
local VERSION = GetAddOnMetadata(ADDONNAME,"Version")
function XPView_OnLoad(self)
	self:RegisterEvent("ADDON_LOADED");			--AddOn Loaded
	self:RegisterEvent("PLAYER_XP_UPDATE");			--Battle XP Changed

end
function XPView_OnEvent(self, event, ...)
	if (event == "ADDON_LOADED") then
 		if (...) == ADDONNAME then
			DEFAULT_CHAT_FRAME:AddMessage(ADDONNAME.." "..VERSION.." Loaded.");
		end
	
	end
	XPView_Update();
end
function XPView_Update()
	local xp = UnitXP("player")
	local xpmax = UnitXPMax("player")
	local lv = UnitLevel("player")
	local percentage = (xp/xpmax)
	local _,_,class = UnitClass("player")
	XPViewFrameText:SetText("(Lv:|cff"..classColor(class)..lv.."|cffffffff)  "..carve(xp).."/"..carve(xpmax).." [|cff"..color(percentage*100).."00"..format("%.2f",xp/xpmax*100).."%|cffffffff]");
	XPView:SetWidth (XPViewFrameText:GetStringWidth() + 20);
	XPView:SetHeight(XPViewFrameText:GetStringHeight() + 20);
end

function carve(x)
	return BreakUpLargeNumbers(x)
end

function color(x)
local green = 2*x
local red = 2*(100-x)
if green > 100 then green = 100 end
if red > 100 then red = 100 end

return format("%2x%2x",floor(red* 2.55),floor(green*2.55))
end

function classColor(x)

a = {
[ 1] = "c69b6d",
[ 2] = "f48cba",
[ 3] = "aad372",
[ 4] = "fff468",
[ 5] = "ffffff",
[ 6] = "c41e3a",
[ 7] = "0070dd",
[ 8] = "68ccef",
[ 9] = "9382c9",
[10] = "548984",
[11] = "ff7c0a",
[12] = "a330c9",
}
return a[x]
end
